# api/config/packages/api_platform.yaml
api_platform:
    # The title of the API.
    title: 'Recepten API'

    # The description of the API.
    description: 'Een API om recepten te bewaren of te maken'

    # The version of the API.
    version: '0.0.0'

    # Set this to false if you want Webby to disappear.
    show_webby: false

    mapping:
        paths: [ '%kernel.project_dir%/src/Entity' ]

    swagger:
        # The active versions of OpenAPI to be exported or used in the swagger_ui. The first value is the default.
        versions: [ 3 ]
        api_keys:
            JWT:
                name: Authorization
                type: header

    # The list of exceptions mapped to their HTTP status code.
    exception_to_status:
        # With a status code.
        Symfony\Component\HttpKernel\Exception\NotFoundHttpException: 404
        Symfony\Component\Serializer\Exception\ExceptionInterface: 400
        ApiPlatform\Core\Exception\InvalidArgumentException: 400
        ApiPlatform\Core\Exception\FilterValidationException: 400
        Doctrine\ORM\OptimisticLockException: 409
        App\Service\Google\InvalidVideoIdException: 400
        App\Service\Google\InvalidVideoUrlException: 400
        App\Service\Google\YoutubeVideoNotFoundException: 400
        App\Recipe\InvalidWebsiteException: 400
        App\Service\Google\GoogleClientException: 418 # I'm a teapot! The Google service is not available because it's disabled or has an invalid api key.

    # The list of enabled formats. The first one will be the default.
    formats:
        jsonld:
            mime_types: [ 'application/ld+json' ]

        json:
            mime_types: [ 'application/json' ]

        html:
            mime_types: [ 'text/html' ]

    # The list of enabled error formats. The first one will be the default.
    error_formats:
        jsonproblem:
            mime_types: [ 'application/problem+json' ]

        jsonld:
            mime_types: [ 'application/ld+json' ]
